---
import { ThemedImage } from "../index.js";
import { DarkMode } from "../index.js";

// All images
import ubuntuTouchLogoDarkImg from "../img/ubuntu-touch-logo-dark.svg";
import ubuntuTouchLogoLightImg from "../img/ubuntu-touch-logo.svg";
import angleIconImg from "../img/symbols/angle-icon.svg";
import hamburgerIconImg from "../img/symbols/hamburger.svg";

const { lightImg, darkImg, links } = Astro.props;
---

<!-- Header -->
<header-container>
  <header class="header d-print-none">
    <div class="container">
      <!-- Logo -->
      <div class="header-logo">
        <a href="/">
          <ThemedImage
            lightSrc={lightImg.src}
            darkSrc={darkImg.src}
            alt="vendor-logo"
          />
        </a>
      </div>

      <!-- Nav -->
      <div class="header-nav">
        <div class="container">
          <div id="headerNav" class="collapse fade">
            {
              links.map((headerEl) => (
                <>
                  {!!headerEl.group ? (
                    <div class="header-dropdown">
                      <toggle-button
                        class="header-dropdown-toggler"
                        data-target={
                          "#header-dropdown-" +
                          headerEl.group.replace(/\s+/g, "-").toLowerCase()
                        }
                        data-action="toggle"
                        data-tgclass="d-none"
                      >
                        {headerEl.group}
                        <img
                          class="dark-invert-40 angle-icon"
                          src={angleIconImg.src}
                          alt="angle-icon"
                        />
                      </toggle-button>
                      <div
                        id={
                          "header-dropdown-" +
                          headerEl.group.replace(/\s+/g, "-").toLowerCase()
                        }
                        class="header-dropdown-list d-none"
                      >
                        <ul>
                          {headerEl.links.map((l) => (
                            <li>
                              <a class="d-block" {...l.attrs}>
                                {l.label}
                              </a>
                            </li>
                          ))}
                        </ul>
                      </div>
                    </div>
                  ) : (
                    <div class="header-dropdown">
                      <a class="header-dropdown-toggler" {...headerEl.attrs}>
                        {headerEl.label}
                      </a>
                    </div>
                  )}
                </>
              ))
            }
          </div>
        </div>
      </div>

      <!-- Hamburger -->
      <div class="header-hamburger">
        <toggle-button
          data-target="header-container #headerNav"
          data-action="toggle toggle"
          data-tgclass="backdrop show"
        >
          <img
            src={hamburgerIconImg.src}
            class="dark-invert-40"
            alt="hamburger-icon"
          />
        </toggle-button>
      </div>
      <DarkMode />
    </div>
  </header>
</header-container>
